
<div align="center">

# Libre-Sudoku
[![](https://img.shields.io/github/v/release/kaajjo/libre-sudoku?style=flat)](https://github.com/kaajjo/Libre-Sudoku/releases/latest)
[![Translation status](https://hosted.weblate.org/widgets/libresudoku/-/svg-badge.svg)](https://hosted.weblate.org/engage/libresudoku/)

</div>

Open Source sudoku application designed to be as user friendly and customizable as possible \
Built with [Jetpack Compose](https://developer.android.com/jetpack/compose) and [Material3](https://m3.material.io/)

## 📱 Screenshots 
<div>
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.jpg" width="25%" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/2.jpg" width="25%" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/3.jpg" width="25%" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/4.jpg" width="25%" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/5.jpg" width="25%" />
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/6.jpg" width="25%" />
</div>

## 💡 Features
- 6x6, 9x9, and 12x12 sudoku boards with 4 difficulty levels
- Countless customization options
- Advanced statistics and game history - previous games list, best and average times for each mode, win streak and percentage
- Saves. You can continue any unfinished game and start a new one whenever you want
- Tutorials for playing techniques
- Create your own sudoku puzzles!
- Import custom sudoku files

## Future plans
- Better hint system (explain the next move instead of just revealing the value)
- Complete set of sudoku technique tutorials
- Custom sudoku from gallery or camera picture
- More customization options (customize anything that can be customized🔥)

## 🌍 Translation
You can help to translate LibreSudoku into your language at [Hosted Weblate](https://hosted.weblate.org/engage/libresudoku/)\
[![Translation status](https://hosted.weblate.org/widgets/libresudoku/-/multi-auto.svg)](https://hosted.weblate.org/engage/libresudoku/)

## Credits
This project uses a modified version of [QQWing](https://github.com/stephenostermiller/qqwing) - sudoku puzzle generator and solver\
Some of the UI elements are inspired by [Tachiyomi](https://github.com/tachiyomiorg/tachiyomi)
## License
[![](https://img.shields.io/github/license/kaajjo/libre-sudoku)](https://github.com/kaajjo/libre-sudoku/blob/main/LICENSE)
